You will need to install some dependencies first:

python
It is already installed.

pygame
Open Terminal and install pip:
sudo easy_install pip
then using pip install pygame
sudo -H pip install pygame

eduActiv8
Finally download the latest version of eduActiv8 source, unpack it somewhere by double clicking on the downloaded *.zip file.

eSpeak (optional but useful)
You may need to install Homebrew before you can install eSpeak
In Terminal:
ruby -e "$(curl -fsSL https://raw.github.com/Homebrew/homebrew/go/install)"
brew install espeak

Finally to run eduActiv8 from Terminal:
python path/to/the/app/eduactiv8.py